#!/bin/bash
#

source ${PRODUCTS}/setup

OS=`uname`
if [ ${OS} = "Darwin" ]
then
flvr=`ups flavor -2`
else
flvr=`ups flavor`
fi

if [ -z ${flvr} ]
then
   echo "ERROR: could not determine flavor for this platform"
   echo "       something is very wrong"
   exit 1
fi

gccdir=${PRODUCTS}/gcc/v4_6_2/${flvr}
mkdir -p ${gccdir}/src
if [ ! -d ${gccdir}/src ]
then
   echo "ERROR: failed to create ${gccdir}/src"
   exit 1
fi

# declare and then setup gcc
echo "Declaring gcc v4_6_2 for flavor ${flvr}"
if [ ${OS} = "Darwin" ]
then
   ups declare gcc v4_6_2 -r gcc/v4_6_2 -2 -m gcc.table
else 
   ups declare gcc v4_6_2 -r gcc/v4_6_2 -4 -m gcc.table
fi

# this will complain because the bin directory does not yet exist
#setup gcc v4_6_2

rm -f /tmp/build-gcc-v4_6_2

ups build gcc v4_6_2

if [ ! -d ${gccdir}/bin ]
then
   echo "ERROR: failed to create ${gccdir}/bin"
   echo "       Something is very wrong"
   exit 1
fi

# this should not complain
echo "Finished building gcc for flavor ${flvr}"
setup gcc v4_6_2

exit 0
