#!/bin/bash

# looking for the appropriate libstdc++.a

thisgcc=${1}
if [ -z ${thisgcc} ]
then
   thisgcc=gcc
fi

OS1=`uname`
plat=`uname -p`
gccmajor=`${thisgcc} --version | head -1 | cut -f3 -d" " | cut -f1 -d"."`
if [ ${gccmajor} = "3" ]
then
  echo "ERROR: cannot build this gcc release with gcc ${gccmajor}"
  exit 1
fi

if [ "${OS1}" = "Darwin" ]
then
   if [ -e /var/db/locate.database ] 
   then
      STDCPPLIB=`locate '/usr/*/libstdc++.a' | head -1`
   else
      STDCPPLIB=`find /usr /opt -name "libstdc++*.a" | head -1`
   fi
elif [ "${flvr0}" = "Linuxppc" ]
then
   STDCPPLIB=`locate '/usr/*/libstdc++.a' | head -1`
elif [ `lsb_release -d | grep Scientific | wc -l` > 0 ]
then
   # uname -p reports i686 instead of i386 on 32bit Linux
   # uname -i is not available on Darwin
   plat=`uname -i`
   if [ "${thisgcc}" = "gcc4" ]
   then
      STDCPPLIB=`rpm -ql gcc4-c++ | grep libstdc++.a`
   else
      STDCPPLIB=`rpm -ql libstdc++-devel.${plat} | grep libstdc++.a`
   fi
else
   STDCPPLIB=`locate '/usr/*/libstdc++.a' | head -1`
fi


echo ${STDCPPLIB}


exit 0

